org.eclipse.viatra.transformation.runtime.emf.rules.eventdriven

## Class EventDrivenTransformationRuleFactory

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.rules.eventdriven.EventDrivenTransformationRuleFactory

-     public class EventDrivenTransformationRuleFactory
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventDrivenTransformationRuleFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>> EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher>` | `createRule()`
    `<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>> EventDrivenTransformationRule<Match,Matcher>` | `filterRule(EventDrivenTransformationRule<Match,Matcher> rule, EventFilter<? super Match> filter)` Replaces a filter of an existing transformation rule, but keeps all other properties intact

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventDrivenTransformationRuleFactory

          public EventDrivenTransformationRuleFactory()

  - ### Method Detail

    - #### createRule

          public <Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>> EventDrivenTransformationRuleFactory.EventDrivenTransformationRuleBuilder<Match,Matcher> createRule()

    - #### filterRule

          public <Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>> EventDrivenTransformationRule<Match,Matcher> filterRule(EventDrivenTransformationRule<Match,Matcher> rule,
                                                                                                                                                 EventFilter<? super Match> filter)

      Replaces a filter of an existing transformation rule, but keeps all other properties intact